View Issue Details

IDProjectCategoryLast Update
0019483AI War 2[All Projects] Gameplay IssueMar 14, 2018 3:58 pm
ReporterelcommendanteAssigned Tokeith.lamothe 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.710 
Fixed in Version0.712 
Summary0019483: Zombified AI command 1) should it exist, and 2) is still generating non-zombified AI ships
DescriptionMy botnet golem zombified an AI command, which proceeded to continue generating warden fleet (brown) ships, which my turrets on that planet have to spend time destroying. Is this a bug, or meant to happen?
I don't think AI commands should be zombifyable, If so, then at least make them generate zombie ships ;) Or stop generating altogether.
TagsNo tags attached.
Internal Weight

Relationships

related to 0019481 closedDune Zombified ships don't fight the Warden Fleet 
related to 0019482 closedBadgerBadger Zombified ships fight the allied Dyson Sphere ships 
related to 0019491 resolvedkeith.lamothe Zombified AI - a neverending story 

Activities

Dune

Mar 13, 2018 11:32 am

administrator   ~0047146

Three cases rolled into one Trello card.

keith.lamothe

Mar 14, 2018 3:58 pm

administrator   ~0047175

For 0.712:

* Fixed a bug where it was possible to zombify a king unit (AI Master Controller). This was hilarious, but not a good idea for the game-engine.

Thanks :)

Issue History

Date Modified Username Field Change
Mar 12, 2018 9:54 pm elcommendante New Issue
Mar 13, 2018 11:30 am Dune Relationship added related to 0019482
Mar 13, 2018 11:31 am Dune Relationship added related to 0019481
Mar 13, 2018 11:32 am Dune Assigned To => keith.lamothe
Mar 13, 2018 11:32 am Dune Status new => assigned
Mar 13, 2018 11:32 am Dune Note Added: 0047146
Mar 14, 2018 10:20 am Dune Relationship added related to 0019491
Mar 14, 2018 3:58 pm keith.lamothe Status assigned => resolved
Mar 14, 2018 3:58 pm keith.lamothe Resolution open => fixed
Mar 14, 2018 3:58 pm keith.lamothe Fixed in Version => 0.712
Mar 14, 2018 3:58 pm keith.lamothe Note Added: 0047175